Bug 11495 - assumed locale/encoding
: assumed locale/encoding
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/python)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-04-13 17:29 by
Modified: 2008-04-02 16:34 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-04-13 17:29:39
$ file index.m-k 
index.m-k: UTF-8 Unicode text
$ ALDConvert -t index.m-k 
Traceback (most recent call last):
  File "/usr/libexec/ALDConvert/ALDConvert.py", line 86, in ?
    locale.setlocale(locale.LC_ALL,'.'.join(curlocale))
  File "/usr/lib64/python2.4/locale.py", line 381, in setlocale
    return _setlocale(category, locale)
locale.Error: unsupported locale setting
------- Comment #1 From 2007-04-18 02:01:29 -------
ALDConvert -h |& grep -i locale
------- Comment #2 From 2007-04-18 15:20:15 -------
(In reply to comment #1)
> ALDConvert -h |& grep -i locale

$ file index.m-k 
index.m-k: UTF-8 Unicode text
$ LC_ALL=ru_RU.KOI8-R ALDConvert -t index.m-k
$ LC_ALL=ru_RU.KOI8-R ALDConvert -t index.m-k -L ru_RU.UTF-8
$ LC_ALL=POSIX ALDConvert -t index.m-k
$ LC_ALL=POSIX ALDConvert -t index.m-k -L ru_RU.UTF-8
$ LC_ALL=ru_RU.UTF-8 ALDConvert -t index.m-k               
Traceback (most recent call last):
  File "/usr/libexec/ALDConvert/ALDConvert.py", line 86, in ?
    locale.setlocale(locale.LC_ALL,'.'.join(curlocale))
  File "/usr/lib64/python2.4/locale.py", line 381, in setlocale
    return _setlocale(category, locale)
locale.Error: unsupported locale setting
$ LC_ALL=ru_RU.UTF-8 ALDConvert -t index.m-k -L ru_RU.UTF-8
Traceback (most recent call last):
  File "/usr/libexec/ALDConvert/ALDConvert.py", line 86, in ?
    locale.setlocale(locale.LC_ALL,'.'.join(curlocale))
  File "/usr/lib64/python2.4/locale.py", line 381, in setlocale
    return _setlocale(category, locale)
locale.Error: unsupported locale setting
$
------- Comment #3 From 2007-05-09 22:03:00 -------
Галлюциноген Питона!
>>> import locale
>>> locale.setlocale(locale.LC_ALL,"ru_RU.UTF-8")
'ru_RU.UTF-8'
>>> locale.getlocale()
('ru_RU', 'utf')
>>> locale.setlocale(locale.LC_ALL,"ru_RU.UTF")
Traceback (most recent call last):
  File "<stdin>", line 1, in ?
  File "/usr/lib/python2.4/locale.py", line 381, in setlocale
    return _setlocale(category, locale)
locale.Error: unsupported locale setting
------- Comment #4 From 2007-05-15 20:50:13 -------
I'll take care.
------- Comment #5 From 2007-05-15 20:51:22 -------
Fixed in 2.4.4-alt12.